import request from '@/utils/request'
import config from '@/utils/config'

export function getSourceChannel() {
  return request({
    url: config.BASE_URL + '/source/channel',
    method: 'get'
  })
}
export function getInfoFeedback(query) {
  return request({
    url: config.BASE_URL + '/info/feedback',
    method: 'post',
    params: query
  })
}
export function addInfoFeedbackReq(query) {
  return request({
    url: config.BASE_URL + '/info/feedback/insert',
    method: 'post',
    params: query
  })
}
export function findInfoFeedback(query) {
  return request({
    url: config.BASE_URL + '/info/feedback/get',
    method: 'post',
    params: query
  })
}
export function updateInfoFeedback(query) {
  return request({
    url: config.BASE_URL + '/info/feedback/update',
    method: 'post',
    params: query
  })
}
export function getAllInfoState(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoState/all',
    method: 'post',
    params: query
  })
}
export function listAllInfoBasic(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoBasic/list',
    method: 'post',
    params: query
  })
}
export function addInfoBasic(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoBasic/insert',
    method: 'post',
    params: query
  })
}
export function findInfoBasic(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoBasic/load',
    method: 'post',
    params: query
  })
}
export function updateInfoBasic(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoBasic/update',
    method: 'post',
    params: query
  })
}
export function listInfoFollow(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoFollow/list',
    method: 'post',
    params: query
  })
}
export function addInfoFollow(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoFollow/insert',
    method: 'post',
    params: query
  })
}
export function updateInfoFollow(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoFollow/update',
    method: 'post',
    params: query
  })
}
export function getInfoFollow(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoFollow/load',
    method: 'post',
    params: query
  })
}
export function listCustomerInfoServiceLog(query) {
  return request({
    url: config.BASE_URL + '/CustomerInfoServicelog/loadBySlNo',
    method: 'post',
    params: query
  })
}
